Skip to main content
GET
/
api
/
v1
/
language_groups
/
List Language Groups
curl --request GET \
  --url https://api.syllable.cloud/api/v1/language_groups/ \
  --header 'Syllable-API-Key: <api-key>'
import requests

url = "https://api.syllable.cloud/api/v1/language_groups/"

headers = {"Syllable-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};

fetch('https://api.syllable.cloud/api/v1/language_groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "name": "<string>",
      "language_configs": [
        {
          "dtmf_code": 123,
          "voice_speed": 1,
          "voice_pitch": 0
        }
      ],
      "skip_current_language_in_message": true,
      "id": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "last_updated_by": "<string>",
      "description": "Languages spoken by operators at Call Center 1",
      "edit_comments": "Added Spanish support.",
      "agents_info": [
        {
          "id": 1,
          "name": "Test Agent"
        }
      ]
    }
  ],
  "page": 123,
  "page_size": 123,
  "total_pages": 4,
  "total_count": 100
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Syllable-API-Key
string
header
required

Query Parameters

page
integer | null
default:0

The page number from which to start (0-based)

Required range: x >= 0
Example:

0

limit
integer
default:25

The maximum number of items to return

Required range: x >= 0
Example:

25

search_fields
enum<string>[]

String names of fields to search. Correspond by index to search field values

Deprecated enum mirroring VoiceGroupProperties values.

Available options:
name,
description,
skip_current_language_in_message,
updated_at,
last_updated_by
Example:

"name"

search_field_values
string[]

Values of fields to search. Correspond by index to search fields. Unless field name contains "list", an individual search field value cannot be a list

Example:

"Some Object Name"

order_by
enum<string> | null

The field whose value should be used to order the results Deprecated enum mirroring VoiceGroupProperties values.

Available options:
name,
description,
skip_current_language_in_message,
updated_at,
last_updated_by
Example:

"name"

order_by_direction
enum<string> | null

The direction in which to order the results The direction in which to order list results, either ascending or descending.

Available options:
asc,
desc
fields
enum<string>[] | null

The fields to include in the response

Deprecated enum mirroring VoiceGroupProperties values.

Available options:
name,
description,
skip_current_language_in_message,
updated_at,
last_updated_by
start_datetime
string | null

The start datetime for filtering results

Example:

"2023-01-01T00:00:00Z"

end_datetime
string | null

The end datetime for filtering results

Example:

"2024-01-01T00:00:00Z"

Response

Successful Response

items
LanguageGroupResponse · object[]
required

List of items returned from the query

page
integer
required

The page number of the results (0-based)

Example:

0

page_size
integer
required

The number of items returned per page

Example:

25

total_pages
integer | null

The total number of pages of results given the indicated page size

Example:

4

total_count
integer | null

The total number of items returned from the query

Example:

100